---@diagnostic disable: undefined-global
--[[-------------------------------------------------------------------------------------------------------------
ReMorph                                                                                                       -
]]---------------------------------------------------------------------------------------------------------------

vb = renoise.ViewBuilder()
vbs = vb.views
dialog = nil

BUFFER = {}

require("src/render")
require("src/utils")
require("src/gui")

renoise.tool():add_menu_entry{
    name = "Sample Editor: ReMorph",
    invoke = function()
      prepare_for_start()
    end
  }
  
renoise.tool():add_keybinding{
    name="Global:Tools: Remorph",
    invoke=function()
      prepare_for_start()
    end
}
  
_AUTO_RELOAD_DEBUG = function()
end

function prepare_for_start()
    if (dialog and dialog.visible) then
        dialog:show()
        return
    end

    dialog = renoise.app():show_custom_dialog("ReMorph by martblek", create_gui)

end